## org.h2.command.ddl
Class AlterTableDropConstraint

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.AlterTableDropConstraint

    public class AlterTableDropConstraint

extends SchemaCommand

This class represents the statement ALTER TABLE DROP CONSTRAINT

Field Summary

Fields inherited from class org.h2.command.Prepared
`headPos, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`AlterTableDropConstraint(Session session, Schema schema, boolean ifExists)`

Method Summary
`void` `setConstraintName(java.lang.String string)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setHeadPos, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlterTableDropConstraint

    public AlterTableDropConstraint(Session session,
                                    Schema schema,
                                    boolean ifExists)

Method Detail

### setConstraintName

    public void setConstraintName(java.lang.String string)

### update

    public int update()
               throws java.sql.SQLException

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count
  Throws:
    `java.sql.SQLException` - if it is a query